Package org.apache.lucene.search

# Class IndriScorer

java.lang.Object
org.apache.lucene.search.Scorable
org.apache.lucene.search.Scorer
org.apache.lucene.search.IndriScorer

Direct Known Subclasses:
  `IndriDisjunctionScorer`

public abstract class IndriScorer extends Scorer
The Indri parent scorer that stores the boost so that IndriScorers can use the boost outside of the term.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.lucene.search.Scorable

`Scorable.ChildScorable`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`IndriScorer(float boost)`

## Method Summary

Modifier and Type
Method
Description
`abstract int`
`docID()`
Returns the doc ID that is currently being scored.
`float`
`getBoost()`
`abstract float`
`getMaxScore(int upTo)`
Return the maximum score that documents between the last `target` that this iterator was `shallow-advanced` to included and `upTo` included.
`abstract DocIdSetIterator`
`iterator()`
Return a `DocIdSetIterator` over matching documents.
`abstract float`
`score()`
Returns the score of the current document matching the query.
`abstract float`
`smoothingScore(int docId)`
Returns the smoothing score of the current document matching the query.

### Methods inherited from class org.apache.lucene.search.Scorer

`advanceShallow, twoPhaseIterator`

### Methods inherited from class org.apache.lucene.search.Scorable

`getChildren, setMinCompetitiveScore`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IndriScorer

protected IndriScorer(float boost)

## Method Details

### iterator

public abstract DocIdSetIterator iterator()
Description copied from class: `Scorer`
Return a `DocIdSetIterator` over matching documents.

The returned iterator will either be positioned on `-1` if no documents have been scored yet, `DocIdSetIterator.NO_MORE_DOCS` if all documents have been scored already, or the last document id that has been scored otherwise.

The returned iterator is a view: calling this method several times will return iterators that have the same state.

Specified by:
  `iterator` in class `Scorer`

### getMaxScore

public abstract float getMaxScore(int upTo) throws IOException
Description copied from class: `Scorer`
Return the maximum score that documents between the last `target` that this iterator was `shallow-advanced` to included and `upTo` included.

Specified by:
  `getMaxScore` in class `Scorer`
Throws:
  `IOException`

### score

public abstract float score() throws IOException
Description copied from class: `Scorable`
Returns the score of the current document matching the query.

Specified by:
  `score` in class `Scorable`
Throws:
  `IOException`

### smoothingScore

public abstract float smoothingScore(int docId) throws IOException
Description copied from class: `Scorable`
Returns the smoothing score of the current document matching the query. This score is used when the query/term does not appear in the document, and behaves like an idf. The smoothing score is particularly important when the Scorer returns a product of probabilities so that the document score does not go to zero when one probability is zero. This can return 0 or a smoothing score.

Smoothing scores are described in many papers, including: Metzler, D. and Croft, W. B. , "Combining the Language Model and Inference Network Approaches to Retrieval," Information Processing and Management Special Issue on Bayesian Networks and Information Retrieval, 40(5), pp.735-750.

Overrides:
  `smoothingScore` in class `Scorable`
Throws:
  `IOException`

### docID

public abstract int docID()
Description copied from class: `Scorer`
Returns the doc ID that is currently being scored.

Specified by:
  `docID` in class `Scorer`

### getBoost

public float getBoost()